<?php

namespace domain\Product\Rotating;

use domain\_\AbstractBuilder;
use domain\_\StatusInterface;
use domain\Producer\Producer\Producer;

class RotatingBuilder extends AbstractBuilder
{
    public function instanciateRotating(Producer $producer): Rotating
    {
        $rotating = new Rotating();
        $rotating->setProducer($producer);
        $rotating->setStatus(StatusInterface::STATUS_ONLINE);

        return $rotating;
    }
}